//Title: Device Manager Class
//Platform: BeOS 5
//Version: 2001.02.03
//Description:
//	A class for working with physical hardware devices (like VGA displays)
//  Basically a factory class for the other Device classes.

//Copyright (C) 2002 Kevin H. Patterson

#ifndef _DeviceManager_h
#define _DeviceManager_h
	
	#include <Application.h>

	#include "GraphicsDevice.h"
	
	class DeviceManager
	{
	public:
		DeviceManager();
		~DeviceManager();
		GraphicsDevice * GetGraphicsDevice(const char * DeviceName);
		GraphicsDevice * GetGraphicsDevice(const uint32 DeviceIndex);
		uint32 GraphicsDeviceCount();
	private:
	};
	
#endif
