/*****************************************************************************
/
/   File:           Log.h
/
/   Description:
/
/   Copyright 1999, Carlos Hasan
/
*****************************************************************************/

#ifndef __LOG_H
#define __LOG_H

	#ifndef NDEBUG
		#include <stdio.h>
		#include <stdarg.h>
		static inline void Log(const char * format, ...) {
			va_list args;
			va_start(args, format);
			vfprintf(stdout, format, args);
			va_end(args);
		}
	#else
		#define Log(format, args...)
	#endif
	
#endif
